Bug 21261 - LXDE: compress option in contextual menu of pcmanfm not working
Summary: LXDE: compress option in contextual menu of pcmanfm not working
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK advisory
Keywords: validated_update
Depends on:
Blocks:
 
Reported: 2017-07-17 14:03 CEST by Nicolas Salguero
Modified: 2017-07-27 21:53 CEST (History)
2 users (show)

See Also:
Source RPM: libfm-1.2.5-3.mga6.src.rpm
CVE:
Status comment:


Attachments

Description Nicolas Salguero 2017-07-17 14:03:31 CEST
Hi,

Since Mga6, right click on a file under pcmanfm and choose compress does nothing.  It occurs because libfm tries to launch "xarchiver --add-o %F" whereas the good command is "xarchiver --compress %F".

Best regards,

Nico.
Nicolas Salguero 2017-07-17 14:03:56 CEST

Assignee: bugsquad => nicolas.salguero

Comment 1 Nicolas Salguero 2017-07-17 14:13:54 CEST
Suggested advisory:
========================

The updated packages allow the compression of files using the context menu (right-click) of pcmanfm.
========================

Updated package in core/updates_testing:
========================
libfm-1.2.5-3.1.mga6
lib(64)fm4-1.2.5-3.1.mga6
lib(64)fm-devel-1.2.5-3.1.mga6
lxshortcut-1.2.5-3.1.mga6

from SRPMS:
libfm-1.2.5-3.1.mga6.src.rpm

Source RPM: (none) => libfm-1.2.5-3.mga6.src.rpm
Assignee: nicolas.salguero => qa-bugs
Status: NEW => ASSIGNED

Comment 2 Lewis Smith 2017-07-26 21:23:35 CEST
Testing M6_64

BEFORE the update:
 libfm-1.2.5-3.mga6
 lib64fm4-1.2.5-3.mga6
 lxshortcut-1.2.5-3.mga6
under several desktops, using PcManFM, right-clicking a file shows the "compress" option; which does nothing. From a terminal, one sees that xarchiver complains that --add is an unknown option.

AFTER the update:
 libfm-1.2.5-3.1.mga6
 lib64fm4-1.2.5-3.1.mga6
 lxshortcut-1.2.5-3.1.mga6
tried under XFCE, using PcManFM, right-clicking a file & choosing "compress" popped up the archive application to 'create a new archive'.

Update OK. Advisory to follow.

Whiteboard: (none) => MGA6-64-OK
CC: (none) => lewyssmith

Comment 3 Lewis Smith 2017-07-26 21:35:04 CEST
M6x64 tested further under LXDE desktop; OK as per previous comment.

Advisory done from Comment 1. Validating also.

Whiteboard: MGA6-64-OK => MGA6-64-OK advisory
Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs

Comment 4 Mageia Robot 2017-07-27 21:53:05 CEST
An update for this issue has been pushed to the Mageia Updates repository.

http://advisories.mageia.org/MGAA-2017-0036.html

Resolution: (none) => FIXED
Status: ASSIGNED => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.